components:
  schemas:
    StorageService_StorageService:
      anyOf:
      - $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_0_4.yaml#/components/schemas/StorageService_v1_0_4_StorageService
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_1_2.yaml#/components/schemas/StorageService_v1_1_2_StorageService
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_2_1.yaml#/components/schemas/StorageService_v1_2_1_StorageService
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_3_0.yaml#/components/schemas/StorageService_v1_3_0_StorageService
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_4_0.yaml#/components/schemas/StorageService_v1_4_0_StorageService
      - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageService.v1_5_0.yaml#/components/schemas/StorageService_v1_5_0_StorageService
      description: A storage service.
      x-longDescription: This resource shall be used to represent resources that are
        managed by a storage service.
title: '#StorageService.StorageService'
x-copyright: Copyright 2015-2022 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
